Parte: Cerchio
|
Posizione nel menu |
---|
Parte → Crea primitive → Cerchio |
Ambiente |
Parte |
Avvio veloce |
Nessuno |
Introdotto nella versione |
- |
Vedere anche |
Nessuno |
Descrizione
Questo comando crea un bordo curvo circolare. Con i valori di default, il bordo curvo circolare è chiuso e quindi è un cerchio. Se vengono modificate i valori predefiniti (0 e 360) delle proprietà Angolo 0 o Angolo 1, il bordo è una curva aperta, un arco.
A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DatiAngle1 and/or DatiAngle2 properties.
Utilizzo
See Part Primitives.
A Part Circle can alternatively be created by selecting three points:
- In the task panel of the
Part Primitives command select the
Circle option from the dropdown list.
- Press the From three points button.
- Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
- A circle is created.
- The selected vertices are only used at creation time to calculate the DatiRadius and DatiPlacement of the circle.
Example
A Part Circle object created with the scripting example below is shown here.
Proprietà
See also: Property editor.
A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Base
- Raggio: il raggio del bordo curvo (arco o cerchio)
- Angolo 1: inizio del bordo curvo, (gradi in senso antiorario), il valore di default è 0
- Angolo 2: fine del bordo curvo (gradi in senso antiorario), il valore di default è 360
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Circle can be created with the addObject()
method of the document:
circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
- Where
"myCircle"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Extrude, Revolve, Mirror, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Attachment
- Boolean: Make compound, Explode Compound, Compound Filter, Boolean, Cut, Fuse, Common, Connect, Embed, Cutout, Boolean fragments, Slice apart, Slice, XOR
- Measure: Measure Linear, Measure Angular, Measure Refresh, Clear All, Toggle All, Toggle 3D, Toggle Delta

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub